<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TextResource (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TextResource (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/resources/ResourceHandler.html" title="interface in org.gradle.api.resources"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/resources/TextResourceFactory.html" title="interface in org.gradle.api.resources"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/resources/TextResource.html" target="_top">Frames</a></li>
<li><a href="TextResource.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.resources</div>
<h2 title="Interface TextResource" class="title">Interface TextResource</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">TextResource</span>
extends <a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></pre>
<div class="block">A read-only body of text backed by a string, file, archive entry, or other source.
 To create a text resource, use one of the factory methods in <a href="../../../../org/gradle/api/resources/TextResourceFactory.html" title="interface in org.gradle.api.resources"><code>TextResourceFactory</code></a>
 (e.g. <code>project.resources.text.fromFile(myFile)</code>).</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/resources/TextResource.html#asFile()">asFile</a></strong>()</code>
<div class="block">Same as <code>asFile(Charset.defaultCharset().name())</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/resources/TextResource.html#asFile(java.lang.String)">asFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charset)</code>
<div class="block">Returns a file containing the resource's text and using the given character encoding.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/resources/TextResource.html#asReader()">asReader</a></strong>()</code>
<div class="block">Returns an unbuffered <a href="https://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io"><code>Reader</code></a> that allows the resource's text to be read.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/resources/TextResource.html#asString()">asString</a></strong>()</code>
<div class="block">Returns a string containing the resource's text</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskDependency.html" title="interface in org.gradle.api.tasks">TaskDependency</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/resources/TextResource.html#getBuildDependencies()">getBuildDependencies</a></strong>()</code>
<div class="block">Returns a dependency which contains the tasks which build this artifact.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/resources/TextResource.html#getInputFiles()">getInputFiles</a></strong>()</code>
<div class="block">Returns the input files registered when this resource is used as task input.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/resources/TextResource.html#getInputProperties()">getInputProperties</a></strong>()</code>
<div class="block">Returns the input properties registered when this resource is used as task input.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="asString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asString</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;asString()</pre>
<div class="block">Returns a string containing the resource's text</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>a string containing the resource's text</dd></dl>
</li>
</ul>
<a name="asReader()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asReader</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;asReader()</pre>
<div class="block">Returns an unbuffered <a href="https://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io"><code>Reader</code></a> that allows the resource's text to be read. The caller is responsible for closing the reader.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>a reader that allows the resource's text to be read.</dd></dl>
</li>
</ul>
<a name="asFile(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asFile</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;asFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charset)</pre>
<div class="block">Returns a file containing the resource's text and using the given character encoding.
 If this resource is backed by a file with a matching encoding, that file may be
 returned. Otherwise, a temporary file will be created and returned.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>charset</code> - a character encoding (e.g. <code>"utf-8"</code>)</dd>
<dt><span class="strong">Returns:</span></dt><dd>a file containing the resource's text and using the given character encoding</dd></dl>
</li>
</ul>
<a name="asFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asFile</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;asFile()</pre>
<div class="block">Same as <code>asFile(Charset.defaultCharset().name())</code>.</div>
</li>
</ul>
<a name="getInputProperties()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInputProperties</h4>
<pre><a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getInputProperties()</pre>
<div class="block">Returns the input properties registered when this resource is used as task input.
 Not typically used directly.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the input properties registered when this resource is used as task input</dd></dl>
</li>
</ul>
<a name="getInputFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInputFiles</h4>
<pre><a href="../../../../org/gradle/api/tasks/PathSensitive.html" title="annotation in org.gradle.api.tasks">@PathSensitive</a>(<a href="../../../../org/gradle/api/tasks/PathSensitive.html#value()">value</a>=<a href="../../../../org/gradle/api/tasks/PathSensitivity.html#NONE">NONE</a>)
<a href="../../../../org/gradle/api/tasks/InputFiles.html" title="annotation in org.gradle.api.tasks">@InputFiles</a>
<a href="../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getInputFiles()</pre>
<div class="block">Returns the input files registered when this resource is used as task input.
 Not typically used directly.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the input files registered when this resource is used as task input</dd></dl>
</li>
</ul>
<a name="getBuildDependencies()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getBuildDependencies</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
<a href="../../../../org/gradle/api/tasks/TaskDependency.html" title="interface in org.gradle.api.tasks">TaskDependency</a>&nbsp;getBuildDependencies()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/api/Buildable.html#getBuildDependencies()">Buildable</a></code></strong></div>
<div class="block">Returns a dependency which contains the tasks which build this artifact. All <code>Buildable</code> implementations
 must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this
 buildable.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/Buildable.html#getBuildDependencies()">getBuildDependencies</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The dependency. Never returns null. Returns an empty dependency when this artifact is not built by any
         tasks.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/resources/ResourceHandler.html" title="interface in org.gradle.api.resources"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/resources/TextResourceFactory.html" title="interface in org.gradle.api.resources"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/resources/TextResource.html" target="_top">Frames</a></li>
<li><a href="TextResource.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
